## RygelConnectionManager

RygelConnectionManager — Basic implementation of UPnP ConnectionManager service version 2.

## Functions

#define | RYGEL_TYPE_CONNECTION_MANAGER
gchar * | rygel_connection_manager_get_current_protocol_info ()
RygelConnectionManager * | rygel_connection_manager_new ()

## Types and Values

#define | RYGEL_CONNECTION_MANAGER_UPNP_ID
#define | RYGEL_CONNECTION_MANAGER_UPNP_TYPE
#define | RYGEL_CONNECTION_MANAGER_DESCRIPTION_PATH
struct | RygelConnectionManager
struct | RygelConnectionManagerClass

## Object Hierarchy

        GObject
        ╰── GUPnPServiceInfo
            ╰── GUPnPService
                ╰── RygelConnectionManager

## Description

## Functions

### RYGEL_TYPE_CONNECTION_MANAGER

    #define RYGEL_TYPE_CONNECTION_MANAGER (rygel_connection_manager_get_type ())

The type for RygelConnectionManager.

### rygel_connection_manager_get_current_protocol_info ()

    gchar *
    rygel_connection_manager_get_current_protocol_info
                                   (RygelConnectionManager *self);

#### Parameters

self | the RygelConnectionManager instance |

### rygel_connection_manager_new ()

    RygelConnectionManager *
    rygel_connection_manager_new (void);

## Types and Values

### RYGEL_CONNECTION_MANAGER_UPNP_ID

    #define RYGEL_CONNECTION_MANAGER_UPNP_ID "urn:upnp-org:serviceId:ConnectionManager"

### RYGEL_CONNECTION_MANAGER_UPNP_TYPE

    #define RYGEL_CONNECTION_MANAGER_UPNP_TYPE "urn:schemas-upnp-org:service:ConnectionManager:2"

### RYGEL_CONNECTION_MANAGER_DESCRIPTION_PATH

    #define RYGEL_CONNECTION_MANAGER_DESCRIPTION_PATH "xml/ConnectionManager.xml"

### struct RygelConnectionManager

    struct RygelConnectionManager;

Basic implementation of UPnP ConnectionManager service version 2.

### struct RygelConnectionManagerClass

    struct RygelConnectionManagerClass {
    	GUPnPServiceClass parent_class;
    	gchar* (*get_current_protocol_info) (RygelConnectionManager* self);
    };

The class structure for `RYGEL_TYPE_CONNECTION_MANAGER`. All the fields in this structure are private and should never be accessed directly.

#### Members

GUPnPServiceClass `parent_class`; | the parent class structure |
`get_current_protocol_info` () | virtual method called by `rygel_connection_manager_get_current_protocol_info()` |